<template>
  <div class="title-bar">
    <div style="margin-left: 50px;">
      <el-breadcrumb :separator-icon="ArrowRight">
        <el-breadcrumb-item v-for="(item,i) in source.tipList" :key="i" :to="{ path: `${item.link}`}">{{ item.name }}</el-breadcrumb-item>
      </el-breadcrumb>
    </div>
    <div class="return-btn" @click="() => $router.go(-1)" v-if="!props.verify">
      <span>&lt;</span>
      <span style="margin-left: 15px;">返回</span>
    </div>
  </div>
</template>

<script setup lang="ts">
import { reactive } from 'vue';
import { ArrowRight } from '@element-plus/icons-vue';

interface Props {
  tip?: string,
  homeTip?: string,
  verify?: string
}
const props = defineProps<Props>();

const source = reactive({
  tipList: [
    {
      name: '首页',
      link: '/'
    }
  ] as any
});
source.tipList.push({
  name: props.tip,
  link: ''
});
props.homeTip ? source.tipList[0] = { name: '订单管理', link: '/userCenter/orderManage'} : null;
</script>

<style lang="scss" scoped>
.title-bar {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 48px;
  background: #FFFFFF;
  border-bottom: 1px solid #E9E9E9;
  box-sizing: border-box;
  font-size: 14px;

  .return-btn {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 85px;
    height: 32px;
    background: #FFFFFF;
    border-radius: 4px;
    box-sizing: border-box;
    font-family: PingFang SC-Regular, PingFang SC;
    color: #303133;
    margin-right: 50px;
    caret-color: rgba(0,0,0,0);
  }
}
</style>